Skip to main content
POST
Create a new Dify bot instance

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json

Configuration for the Dify bot instance

enabled
boolean
required
botType
enum<string>
required
Available options:
chatBot,
textGenerator,
agent,
workflow
apiUrl
string
required
apiKey
string
required
triggerType
enum<string>
Available options:
all,
keyword
triggerOperator
enum<string>
Available options:
contains,
equals,
startsWith,
endsWith,
regex,
none
triggerValue
string
expire
integer
keywordFinish
string
delayMessage
integer
unknownMessage
string
listeningFromMe
boolean
stopBotFromMe
boolean
keepOpen
boolean
debounceTime
integer
ignoreJids
string[]

Response

Bot instance created successfully

message
string
Example:

"Bot instance created successfully"